List active crawls (Firecrawl)
Crawls of your project that are still running. `teamId` is your B3OS project ID.
GET
/compat/firecrawl/v2/crawl/active
Crawls of your project that are still running. `teamId` is your B3OS project ID.
Authentication
Bearer Token (b3os_sk_ API key or b3os_pat_ token)
Responses
200
The active crawls.
application/jsonsuccess
boolean
REQUIRED
Enum:
truecrawls
object[]
REQUIRED
Array of:
id
string
REQUIRED
teamId
string
REQUIRED
Your B3OS project ID.
url
string (uri)
REQUIRED
options
object
401
Missing or invalid B3OS key (`unauthorized`). Firecrawl `fc-` keys are not accepted.
429
A rate or concurrency limit applies (`rate_limited`, `concurrency_limited`).
500
Something failed inside B3OS (`internal`).
curl -X GET 'https://beta-api.b3os.org/compat/firecrawl/v2/crawl/active' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://beta-api.b3os.org/compat/firecrawl/v2/crawl/active', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://beta-api.b3os.org/compat/firecrawl/v2/crawl/active', headers=headers)print(response.json())
200
Response
{ "success": true, "crawls": [ { "id": "crawl_01m5t4gh4qhgs70zwajezbe5p0", "teamId": "prj_01m5t3pf8heewxt65ej3dm577y", "url": "https://docs.example.com", "options": { "limit": 100 } } ]}
API Playground
Try this endpoint
GET
/compat/firecrawl/v2/crawl/active